Skip to content

Downloads

The Downloads API service collection provides operations for enumerating and downloading files available for your CID. Retrieve pre-signed download URLs for CrowdStrike-provided files and cloud security tools, with support for filtering by architecture, category, operating system, and platform.

LanguageLast Update
Pythonv1.6.1
PowerShellv2.2.9
Gov0.20.0
TypeScriptv0.6.0
Rustv0.7.0
Rubyv1.2.0
OperationDescription
DownloadFile
download
Gets pre-signed URL for the file.
deprecated
EnumerateFile
enumerate
Enumerates a list of files available for CID.
deprecated
FetchFilesDownloadInfo
fetch_download_info
Get files info and pre-signed download URLs
FetchFilesDownloadInfoV2
fetch_download_info_v2
Get cloud security tools info and pre-signed download URLs

Gets pre-signed URL for the file.

This operation has been deprecated in favor of the FetchFilesDownloadInfo operation. Developers should move code over to this new operation as soon as time permits.

GET /csdownloads/entities/files/download/v1
Scope Infrastructure as Code (IaC): READ Consumes · Produces application/json
PEP 8 download
NameTypeData typeDescription
file_namequerystringName of the file to be downloaded
file_versionquerystringVersion of the file to be downloaded
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import Downloads
falcon = Downloads(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.download(file_name="string", file_version="string")
print(response)

Enumerates a list of files available for CID

This operation has been deprecated in favor of the FetchFilesDownloadInfo operation. Developers should move code over to this new operation as soon as time permits.

GET /csdownloads/entities/files/enumerate/v1
Scope Infrastructure as Code (IaC): READ Consumes · Produces application/json
PEP 8 enumerate
NameTypeData typeDescription
archquerystringApply filtering on system architecture
categoryquerystringApply filtering on file category
file_namequerystringApply filtering on file name
file_versionquerystringApply filtering on file version
osquerystringApply filtering on operating system
parametersquerydictionaryFull query string parameters payload in JSON format.
platformquerystringApply filtering on file platform
from falconpy import Downloads
falcon = Downloads(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.enumerate(arch="string",
category="string",
file_name="string",
file_version="string",
os="string",
platform="string"
)
print(response)

Enumerates a list of files available for CID.

This operation has been deprecated. Developers should move code over to the FetchFilesDownloadInfo operation as soon as time permits.

GET /csdownloads/entities/files/enumerate/v1
Scope Infrastructure as Code (IaC): READ Consumes · Produces application/json
PEP 8 enumerate
NameTypeData typeDescription
file_namequerystringApply filtering on file name.
file_versionquerystringApply filtering on file version.
platformquerystringApply filtering on file platform.
osquerystringApply filtering on operating system.
archquerystringApply filtering on architecture.
categoryquerystringApply filtering on file category.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import Downloads
falcon = Downloads(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.enumerate(arch="string",
file_name="string",
file_version="string",
os="string",
platform="string",
category="string")
print(response)

Get files info and pre-signed download URLs

GET /csdownloads/combined/files-download/v1
Scope Infrastructure as Code (IaC): READ Consumes · Produces application/json
PEP 8 fetch_download_info
NameTypeData typeDescription
filterquerystringSearch files using various filters using query in Falcon Query Language (FQL). Supported filters: arch,category,file_name,file_version,os
parametersquerydictionaryFull query string parameters payload in JSON format.
sortquerystringThe fields to sort records on. Supported columns: arch category file_name file_version os
from falconpy import Downloads
falcon = Downloads(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.fetch_download_info(filter="string", sort="string")
print(response)

Get cloud security tools info and pre-signed download URLs

GET /csdownloads/combined/files-download/v2
Scope Infrastructure as Code (IaC): READ Consumes · Produces application/json
PEP 8 fetch_download_info_v2
NameTypeData typeDescription
filterquerystringSearch files using various filters. Supported filters: arch,category,file_name,file_version,os
limitqueryintegerThe upper-bound on the number of records to retrieve. Maximum limit: 100.
offsetqueryintegerThe offset from where to begin. Maximum offset = 1000 - limit.
parametersquerydictionaryFull query string parameters payload in JSON format.
sortquerystringThe fields to sort records on. Supported columns: arch category file_name file_version os
from falconpy import Downloads
falcon = Downloads(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.fetch_download_info_v2(filter="string",
sort="string",
limit="string",
offset="string")
print(response)